from __future__ import print_function

DIRECTIONS = ('s', 'se','e','ne','n','nw', 'w', 'sw', 'c')
SIZE = 40

CMD = 'convert numbers.png[{SIZE}x{SIZE}+{x}+{y}] {name}.png'

commands = []

for i, direction in enumerate(DIRECTIONS):
    commands.append(CMD.format(
        SIZE=SIZE, x=0, y=i*SIZE,
        name=direction
    ))

for x in range(1, 50 + 1):
    for y, direction in enumerate(DIRECTIONS):
        commands.append(CMD.format(
            SIZE=SIZE, x=x*SIZE, y=y*SIZE,
            name=direction+'_'+str(x)
        ))

for command in commands:
    print(command)